Bug 167156 - pam config references non existent pam module
pam config references non existent pam module
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: xcdroast (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 02:32 EDT by John Newbigin
Modified: 2015-01-07 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Newbigin 2005-08-31 02:32:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050319

Description of problem:
cat /etc/pam.d/xcdroast
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       sufficient   pam_timestamp.so
auth       required     pam_stack.so service=system-auth
session    optional     pam_xauth.so
session    optional     pam_timestamp.so
account    required     pam_permit.so

But pam_timestamp.so is not available on RHEL2.1

Version-Release number of selected component (if applicable):
xcdroast-0.98a14-3.AS21.1

How reproducible:
Always

Steps to Reproduce:
1. install xcdroads
2. run xcdroast
3. look at /var/log/messages
  

Actual Results:  userhelper: PAM unable to dlopen(/lib/security/pam_timestamp.so)
userhelper: PAM [dlerror: /lib/security/pam_timestamp.so: cannot open shared object file: No such file or directory]
userhelper: PAM adding faulty module: /lib/security/pam_timestamp.so


Expected Results:  No errors.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:20:29 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.